import 'package:flutter/material.dart';

class ResponsiveWidget extends StatelessWidget {

  static const double highBreakpoint = 1000.0;
  static const double lowBreakpoint = 640.0;

  final Widget large;
  final Widget medium;
  final Widget small;

  const ResponsiveWidget({Key key, @required this.large, this.medium, this.small}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final currentWidth = MediaQuery.of(context).size.width;
    if (currentWidth >= highBreakpoint) {
      return large;
    }
    else if ( currentWidth < highBreakpoint && currentWidth >= lowBreakpoint) {
      return medium ?? large;
    }
    else {
      return small ?? medium ?? large;
    }
    
  }
}